Warning: the CA certificate does not sign the certificate – Plesk 10 and GeoTrust Certs

Problem: After requesting a renewal QuickSSL Premium cert from GeoTrust, and uploading the Cert and CA Intermediates to the Plesk 10 interface, I’m warned that: “Warning: the CA certificate does not sign the certificate”.

Solution: Don’t worry about it! No idea why it happens. If you’re confident that you’ve added the correct Intermediate files, then go ahead and use one or two SSL Checkers like www.geocerts.com/ssl_checker and http://www.sslshopper.com/ssl-checker.html to confirm it’s all ok.

Notes: If there is a problem with the CA intermediate certs, it’s worth attempting to get them straight from the horses mouth. Sometimes the Intermediate cert you are sent along with your SSL Cert order isn’t enough. For all the current GeoTrust Intermediate certs, have a look here: https://knowledge.geotrust.com/support/knowledge-base/index?page=content&actp=CROSSLINK&id=SO15690